@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400&display=swap");

* {
  box-sizing: border-box;
  --blue: #2a2a72;
  --purple: #4c2885;
  --dark-purple: #180d2ba9;
  --gitname-color: var(--dark-purple);
  --light-gray: #bbb;
  --white: #fff;
}

body {
  background-color: var(--blue);
  color: var(--white);
  font-family: "Poppins", sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: 0;
}

.user-form {
  width: 100%;
  max-width: 700px;
  margin-bottom: 2rem;
}

.user-form .form-controls {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.user-form input {
  width: 100%;
  display: block;
  background-color: var(--purple);
  border: none;
  border-radius: 10px;
  color: var(--white);
  padding: 1rem;
  margin-bottom: 0.5rem;
  font-family: inherit;
  font-size: 1rem;
  box-shadow: 0 2px 6px rgba(154, 160, 185, 0.2), 0 5px 10px rgba(0, 0, 0, 0.25);
}

.form-controls .checkboxes {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-around;
  font-size: 1.4rem;
}

.form-controls .checkboxes input {
  width: 1rem;
  margin-right: 0.4rem;
}

.form-controls .checkboxes label {
  margin-right: 1.5rem;
}

.author-gits-btn {
  border: 0;
  border-radius: 10px;
  color: var(--light-gray);
  background-color: var(--dark-purple);
  padding: 1rem 2rem;
  font-size: 1rem;
  margin-right: 1.5rem;
}

.author-gits-btn:focus {
  /* outline: none; */
}

.author-gits-btn:active {
  transform: scale(0.98);
}

.user-form .search-btn {
  background-color: var(--dark-purple);
  color: var(--light-gray);
  border: 0;
  border-radius: 10px;
  padding: 1rem;
  font-size: 1rem;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.1);
}

.user-form .search-btn:focus {
  /* outline: none; */
}

.user-form .search-btn:active {
  transform: scale(0.98);
}

.user-form .search-btn:disabled,
.user-form .author-gits-btn:disabled {
  background-color: #222;
  color: #666;
  transform: none;
}

.user-form input::placeholder {
  color: var(--light-gray);
}

.user-form input:focus {
  /* outline: none; */
}

main {
  display: flex;
  flex-direction: row;
}

.card {
  max-width: 700px;
  background-color: var(--purple);
  border-radius: 20px;
  box-shadow: 0 5px 10px rgba(154, 160, 185, 0.1),
    0 15px 40px rgba(0, 0, 0, 0.15);
  display: flex;
  padding: 3rem;
  margin: 1rem 1.5rem;
}

#git-name {
  margin: -20px;
  color: var(--gitname-color);
}

#person-name {
  /* margin: -20px; */
  color: var(--light-gray);
}

.card .login {
  text-decoration: none;
  color: var(--white);
}

.avatar {
  border-radius: 50%;
  border: 10px solid var(--blue);
  height: 150px;
  width: 150px;
}

.user-info {
  color: #eee;
  margin-left: 2rem;
}

.user-info h2 {
  margin-top: 0;
}

.user-info ul {
  display: flex;
  list-style-type: none;
  justify-content: space-between;
  padding: 0;
  max-width: 400px;
}

.user-info ul li {
  display: flex;
  align-items: center;
}

.user-info ul li strong {
  font-size: 0.9rem;
  margin-left: 0.4em;
  margin-right: 1.5rem;
}

.repo {
  text-decoration: none;
  color: var(--white);
  background-color: var(--blue);
  font-size: 0.7rem;
  padding: 0.25rem 0.5rem;
  margin-right: 0.5rem;
  margin-bottom: 0.5rem;
  display: inline-block;
}

@media (max-width: 620px) {
  .card {
    flex-direction: column;
    align-items: center;
  }

  .user-form {
    max-width: 400px;
  }

  main {
    flex-direction: column;
  }

  .user-form .form-controls {
    flex-direction: column;
  }
}

.buttons {
  display: flex;
}

.footer {
  position: fixed;
  background-color: var(--purple);
  width: 100%;
  text-align: center;
  color: var(--light-gray);
  font-size: 0.9rem;
  bottom: 0;
  padding: 0.5rem;
}

button,
input,
input + label {
  cursor: pointer;
}
